Last Comment Bug 875889 - Searches from a private search sidebar open in a normal browser window
: Searches from a private search sidebar open in a normal browser window
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.21
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 460895 837510
  Show dependency treegraph
 
Reported: 2013-05-24 11:52 PDT by neil@parkwaycc.co.uk
Modified: 2013-06-23 04:37 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
Proposed patch (715 bytes, patch)
2013-05-24 11:54 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2013-05-24 11:52:16 PDT
Steps to reproduce problem:
1. Open a private window
2. Open the search sidebar
3. Perform a search

Expected results: search results open in private window

Actual results: search results open in a normal window
Comment 1 neil@parkwaycc.co.uk 2013-05-24 11:54:48 PDT
Created attachment 753903 [details] [diff] [review]
Proposed patch

This seemed to be the simplest way to ensure that there are no other related footguns.
Comment 2 neil@parkwaycc.co.uk 2013-06-20 15:45:28 PDT
Pushed comm-central changeset da20e53a7321.
Comment 3 neil@parkwaycc.co.uk 2013-06-20 15:53:04 PDT
Comment on attachment 753903 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
User impact if declined: Privacy leak
Risk to taking this patch (and alternatives if risky): Very low, but user can use one of the alternative search methods instead.
String changes made by this patch: None

Note You need to log in before you can comment on or make changes to this bug.